Package org.springframework.cache.annotation

# Class CachingConfigurerSupport

java.lang.Object
org.springframework.cache.annotation.CachingConfigurerSupport

All Implemented Interfaces:
  `CachingConfigurer`

@Deprecated(since="6.0") public class CachingConfigurerSupport extends Object implements CachingConfigurer
Deprecated.
as of 6.0 in favor of implementing `CachingConfigurer` directly
An implementation of `CachingConfigurer` with empty methods allowing subclasses to override only the methods they're interested in.

Since:
  4.1
Author:
  Stephane Nicoll
See Also:
  - `CachingConfigurer`

## Constructor Summary

Constructors
Constructor
Description
`CachingConfigurerSupport()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`CacheManager`
`cacheManager()`
Deprecated.
Return the cache manager bean to use for annotation-driven cache management.
`CacheResolver`
`cacheResolver()`
Deprecated.
Return the `CacheResolver` bean to use to resolve regular caches for annotation-driven cache management.
`CacheErrorHandler`
`errorHandler()`
Deprecated.
Return the `CacheErrorHandler` to use to handle cache-related errors.
`KeyGenerator`
`keyGenerator()`
Deprecated.
Return the key generator bean to use for annotation-driven cache management.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CachingConfigurerSupport

public CachingConfigurerSupport()
Deprecated.

## Method Details

### cacheManager

@Nullable public CacheManager cacheManager()
Deprecated.
Description copied from interface: `CachingConfigurer`
Return the cache manager bean to use for annotation-driven cache management. A default `CacheResolver` will be initialized behind the scenes with this cache manager. For more fine-grained management of the cache resolution, consider setting the `CacheResolver` directly.

Implementations must explicitly declare `@Bean` so that the cache manager participates in the lifecycle of the context, for example,

     @Configuration
     @EnableCaching
     class AppConfig implements CachingConfigurer {
         @Bean // important!
         @Override
         CacheManager cacheManager() {
             // configure and return CacheManager instance
         }
         // ...
     }

See @`EnableCaching` for more complete examples.

Specified by:
  `cacheManager` in interface `CachingConfigurer`

### cacheResolver

@Nullable public CacheResolver cacheResolver()
Deprecated.
Description copied from interface: `CachingConfigurer`
Return the `CacheResolver` bean to use to resolve regular caches for annotation-driven cache management. This is an alternative and more powerful option of specifying the `CacheManager` to use.

If both a `CachingConfigurer.cacheManager()` and `cacheResolver()` are set, the cache manager is ignored.

Implementations must explicitly declare `@Bean` so that the cache resolver participates in the lifecycle of the context, for example,

     @Configuration
     @EnableCaching
     class AppConfig implements CachingConfigurer {
         @Bean // important!
         @Override
         CacheResolver cacheResolver() {
             // configure and return CacheResolver instance
         }
         // ...
     }

See `EnableCaching` for more complete examples.

Specified by:
  `cacheResolver` in interface `CachingConfigurer`

### keyGenerator

@Nullable public KeyGenerator keyGenerator()
Deprecated.
Description copied from interface: `CachingConfigurer`
Return the key generator bean to use for annotation-driven cache management.

By default, `SimpleKeyGenerator` is used. See @`EnableCaching` for more complete examples.

Specified by:
  `keyGenerator` in interface `CachingConfigurer`

### errorHandler

@Nullable public CacheErrorHandler errorHandler()
Deprecated.
Description copied from interface: `CachingConfigurer`
Return the `CacheErrorHandler` to use to handle cache-related errors.

By default, `SimpleCacheErrorHandler` is used, which throws the exception back at the client. See @`EnableCaching` for more complete examples.

Specified by:
  `errorHandler` in interface `CachingConfigurer`